Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Economic calendar events for G10 currencies
GET https://api.marketdataset.ai/macro/calendar
country
US
EU
GB
JP
CH
AU
NZ
CA
impact
low
medium
high
start_date
end_date
limit
100
500
cursor
curl "https://api.marketdataset.ai/macro/calendar?country=US&impact=high&limit=5" \ -H "X-API-KEY: sk_your_key"
import requests response = requests.get( "https://api.marketdataset.ai/macro/calendar", params={"country": "US", "impact": "high", "limit": 5}, headers={"X-API-KEY": "sk_your_key"}, ) print(response.json())
{ "events": [ { "event_name": "Non-Farm Payrolls", "country": "US", "currency": "USD", "event_date": "2024-11-01T12:30:00+00:00", "impact": "high", "actual": "12K", "forecast": "113K", "previous": "223K" } ], "next_page_url": null, "meta": { "request_id": "req_abc123", "credits_used": 0.01, "credits_remaining": 49.99 } }
event_name
currency
event_date
actual
forecast
previous